package com.wd.workoffice.bean.mesBean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class MesFactoryBean {

    /**
     * loginUserId : null
     * userId : null
     * userName : null
     * sex : null
     * email : null
     * mobile : null
     * name : null
     * siteId : null
     * siteName : null
     * siteCode : null
     * cardNo : null
     * status : null
     * joinDateTime : null
     * leaveDateTime : null
     * currentOrganization : null
     * functionVo : null
     * sysType : null
     * orgs : []
     * functions : []
     * sites : [{"id":"4a418ee8ffa211e98334fa163e1166bd","siteName":"锆碳厂","siteCode":"ZWGT"},{"id":"1c37c889ffa211e98334fa163e1166bd","siteName":"铝碳厂","siteCode":"ZWLT"},{"id":"5cd86611ffa211e98334fa163e1166bd","siteName":"特耐厂","siteCode":"ZWTN"}]
     * depts : []
     * roleIds : null
     * teamId : null
     */

    private Object loginUserId;
    private Object userId;
    private Object userName;
    private Object sex;
    private Object email;
    private Object mobile;
    private Object name;
    private Object siteId;
    private Object siteName;
    private Object siteCode;
    private Object cardNo;
    private Object status;
    private Object joinDateTime;
    private Object leaveDateTime;
    private Object currentOrganization;
    private Object functionVo;
    private Object sysType;
    private Object roleIds;
    private Object teamId;
    private List<?> orgs;
    private List<?> functions;
    private List<SitesBean> sites;
    private List<?> depts;

    public Object getLoginUserId() {
        return loginUserId;
    }

    public void setLoginUserId(Object loginUserId) {
        this.loginUserId = loginUserId;
    }

    public Object getUserId() {
        return userId;
    }

    public void setUserId(Object userId) {
        this.userId = userId;
    }

    public Object getUserName() {
        return userName;
    }

    public void setUserName(Object userName) {
        this.userName = userName;
    }

    public Object getSex() {
        return sex;
    }

    public void setSex(Object sex) {
        this.sex = sex;
    }

    public Object getEmail() {
        return email;
    }

    public void setEmail(Object email) {
        this.email = email;
    }

    public Object getMobile() {
        return mobile;
    }

    public void setMobile(Object mobile) {
        this.mobile = mobile;
    }

    public Object getName() {
        return name;
    }

    public void setName(Object name) {
        this.name = name;
    }

    public Object getSiteId() {
        return siteId;
    }

    public void setSiteId(Object siteId) {
        this.siteId = siteId;
    }

    public Object getSiteName() {
        return siteName;
    }

    public void setSiteName(Object siteName) {
        this.siteName = siteName;
    }

    public Object getSiteCode() {
        return siteCode;
    }

    public void setSiteCode(Object siteCode) {
        this.siteCode = siteCode;
    }

    public Object getCardNo() {
        return cardNo;
    }

    public void setCardNo(Object cardNo) {
        this.cardNo = cardNo;
    }

    public Object getStatus() {
        return status;
    }

    public void setStatus(Object status) {
        this.status = status;
    }

    public Object getJoinDateTime() {
        return joinDateTime;
    }

    public void setJoinDateTime(Object joinDateTime) {
        this.joinDateTime = joinDateTime;
    }

    public Object getLeaveDateTime() {
        return leaveDateTime;
    }

    public void setLeaveDateTime(Object leaveDateTime) {
        this.leaveDateTime = leaveDateTime;
    }

    public Object getCurrentOrganization() {
        return currentOrganization;
    }

    public void setCurrentOrganization(Object currentOrganization) {
        this.currentOrganization = currentOrganization;
    }

    public Object getFunctionVo() {
        return functionVo;
    }

    public void setFunctionVo(Object functionVo) {
        this.functionVo = functionVo;
    }

    public Object getSysType() {
        return sysType;
    }

    public void setSysType(Object sysType) {
        this.sysType = sysType;
    }

    public Object getRoleIds() {
        return roleIds;
    }

    public void setRoleIds(Object roleIds) {
        this.roleIds = roleIds;
    }

    public Object getTeamId() {
        return teamId;
    }

    public void setTeamId(Object teamId) {
        this.teamId = teamId;
    }

    public List<?> getOrgs() {
        return orgs;
    }

    public void setOrgs(List<?> orgs) {
        this.orgs = orgs;
    }

    public List<?> getFunctions() {
        return functions;
    }

    public void setFunctions(List<?> functions) {
        this.functions = functions;
    }

    public List<SitesBean> getSites() {
        return sites;
    }

    public void setSites(List<SitesBean> sites) {
        this.sites = sites;
    }

    public List<?> getDepts() {
        return depts;
    }

    public void setDepts(List<?> depts) {
        this.depts = depts;
    }

    public static class SitesBean {
        /**
         * id : 4a418ee8ffa211e98334fa163e1166bd
         * siteName : 锆碳厂
         * siteCode : ZWGT
         */

        private String id;
        private String siteName;
        private String siteCode;

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public String getSiteName() {
            return siteName;
        }

        public void setSiteName(String siteName) {
            this.siteName = siteName;
        }

        public String getSiteCode() {
            return siteCode;
        }

        public void setSiteCode(String siteCode) {
            this.siteCode = siteCode;
        }
    }
}
